This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 459160 - UI support: fenced config option to skip nodes with undefined fencing
UI support: fenced config option to skip nodes with undefined fencing
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ryan McCabe
:
Depends On: 459127
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 15:20 EDT by Lon Hohberger
Modified: 2009-04-16 18:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 16:19:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2008-08-14 15:20:02 EDT
+++ This bug was initially created as a clone of Bug #459127 +++

Description of problem:

New fenced config option <fence_daemon skip_undefined="1"/>
would cause fenced to not attempt any fencing on nodes with
undefined fence/method/device.  Currently, fenced tries,
fails, and retries (repeatedly) to fence a node with undefined
fence/method/device, which requires an override.

The primary use for this option would be asymmetric cluster configs
(http://sources.redhat.com/cluster/wiki/asymmetric_cluster_config)
where client/small/spectator nodes do not join the fence domain
and have no fencing configured.  The problem we have is that even with
no fencing configured, and not joining the fence domain, other
nodes may attempt (and fail) to fence these client nodes during
startup fencing.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from pm-rhel@redhat.com on 2008-08-14 12:02:23 EDT ---

This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

--- Additional comment from teigland@redhat.com on 2008-08-14 12:48:14 EDT ---

Created an attachment (id=314331)
proposed patch

very simple patch (untested)

--- Additional comment from teigland@redhat.com on 2008-08-14 13:00:00 EDT ---

patch in comment 2 left out a couple of key bits, ignore it

--- Additional comment from teigland@redhat.com on 2008-08-14 13:14:50 EDT ---

I think I'd like to limit the scope of skip_undefined to skip
just startup fencing of nodes with no defined methods (as shown
in the initial patch in comment 2).  The original description of
skip_undefined was more general and also applied to domain members
that failed, which is something we don't have need for.

--- Additional comment from teigland@redhat.com on 2008-08-14 14:02:21 EDT ---

Created an attachment (id=314338)
proposed patch

Adds a couple missing bits from previous patch.
Nodes with no methods are skipped in startup fencing only.
Comment 1 David Teigland 2008-08-14 15:34:36 EDT
The skip_undefined setting is only one small piece of the puzzle
when setting up an asymmetric config:
http://sources.redhat.com/cluster/wiki/asymmetric_cluster_config

I suspect that full UI support for these configs would be a pretty
big undertaking.  And probably unnecessary unless we're planning
to promote this kind of configuration more generally.
Comment 3 David Teigland 2009-02-13 16:19:17 EST
The assymetric config options are not in any way official, promoted or
tested.  As such, they should remain hidden in the code for people who
want to do unofficial experimentation.  Exposing them in a UI would
not be appropriate unless they become official and tested features.

Note You need to log in before you can comment on or make changes to this bug.